GNU bug report logs - #54489
grep branch, master, updated. v3.7-55-g16b3c2f

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: grep; Reported by: Kent M Kohlmeyer <kemiko@HIDDEN>; Keywords: notabug; Done: Paul Eggert <eggert@HIDDEN>; Maintainer for grep is bug-grep@HIDDEN.
bug closed, send any further explanations to 54489 <at> debbugs.gnu.org and Kent M Kohlmeyer <kemiko@HIDDEN> Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) notabug. Request was from Paul Eggert <eggert@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 21 Mar 2022 10:34:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 21 06:34:15 2022
Received: from localhost ([127.0.0.1]:35948 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nWFMZ-0002Y8-O1
	for submit <at> debbugs.gnu.org; Mon, 21 Mar 2022 06:34:15 -0400
Received: from lists.gnu.org ([209.51.188.17]:59478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kemiko@HIDDEN>) id 1nWAEK-0002Je-Cb
 for submit <at> debbugs.gnu.org; Mon, 21 Mar 2022 01:05:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33584)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kemiko@HIDDEN>) id 1nWAEJ-0003d5-OC
 for bug-grep@HIDDEN; Mon, 21 Mar 2022 01:05:19 -0400
Received: from [2607:f8b0:4864:20::d33] (port=35727
 helo=mail-io1-xd33.google.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <kemiko@HIDDEN>) id 1nWAEF-0003su-At
 for bug-grep@HIDDEN; Mon, 21 Mar 2022 01:05:19 -0400
Received: by mail-io1-xd33.google.com with SMTP id l18so15560208ioj.2
 for <bug-grep@HIDDEN>; Sun, 20 Mar 2022 22:05:14 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to;
 bh=ntOu7Ry21q0KVpFvvv+cd4wt7RRG7cRnBiaJNKtYg2s=;
 b=pCApsBLFI0I+g/685av6MCTePuF1VUgTTYij0MRAScHk8HKDfNMF9jxsuiVf2EHyw1
 FoCjqlSrBDk+F8Sv08jfB0QfIGeG9uLWHICI+PCLZmWPAXmiz6sXTMGtbPeM+JEcp6wT
 5Tb7T4dTPscd/3C/+IFjPmaCb0vaaK8Q6epXbaCkUXXnKQl3RYSaXFMkQehqFzoCI1L2
 Um4EeCkdXK4RJXNd9iP8QTuE1C/Q/a0czarOuKcfFfkQkLOvzwXDZSTjBohciigYQhk2
 WS/e+W/phbU5BF0tIn3UcI8cdTrXIt9IgNkx7Byxj09OXYdmLlNUm0G8k03DMcmuGPsD
 ldkA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to;
 bh=ntOu7Ry21q0KVpFvvv+cd4wt7RRG7cRnBiaJNKtYg2s=;
 b=fTMMNdvQKfdZHWulkfnHTlrSDQhvJzWAkrNol/yFraUlwqF+dWfdoQ1ApO8irTXH85
 xHHseWLT2T9ZX4OH5b3y4AB4X2hGn9QOPecxV6ssHcUAPWXW8OwWEGKEkHKn152fc8Ob
 /o9Q3x3r73dW4bYdye2XR59uOMrYxAzX2QA4/2i4sZCWo6YHazdLr4jziwHZTb5O+0lq
 10xpUgXkW21prZjyG6jQWW6mmHK2ooXamS8/PCa5uRnY2ag66w7IrU4JzmNorrpjb2Ys
 Jx1XUFPE5m3LRE39QEY7EOmgsaw+Z5g8C/nQUeQErThlDCzIytW+rEOxBs9JpgVqS+mw
 pQaQ==
X-Gm-Message-State: AOAM530M2fpN/xQYaduS+UiqrfvCWVfRcZpYGsEtXirM9Ak+SZC89mmB
 aywreejFJEb5hU+Hi1LbA8jxdxNHtqyh9JtBxreZ+ONi
X-Google-Smtp-Source: ABdhPJySwaQrxdzyEDxXkCuUd0vaRbLuMrbMs3e3wb1oaCjymwjE4DK5D43BM6xH9N0+oEt/DhmXs+CZlf8kMrnk6dM=
X-Received: by 2002:a05:6602:27cd:b0:645:b237:3bdd with SMTP id
 l13-20020a05660227cd00b00645b2373bddmr9528639ios.90.1647839113523; Sun, 20
 Mar 2022 22:05:13 -0700 (PDT)
MIME-Version: 1.0
References: <20220320203753.5D0B6C051EF@HIDDEN>
In-Reply-To: <20220320203753.5D0B6C051EF@HIDDEN>
From: Kent M Kohlmeyer <kemiko@HIDDEN>
Date: Sun, 20 Mar 2022 22:05:02 -0700
Message-ID: <CAFp2CuWVVZEoMycEAykT15ydMArZqPe7JfRCN0J1DFZvOJCPvA@HIDDEN>
Subject: Re: grep branch, master, updated. v3.7-55-g16b3c2f
To: bug-grep@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000000238ee05dab37192"
X-Host-Lookup-Failed: Reverse DNS lookup failed for 2607:f8b0:4864:20::d33
 (failed)
Received-SPF: pass client-ip=2607:f8b0:4864:20::d33;
 envelope-from=kemiko@HIDDEN; helo=mail-io1-xd33.google.com
X-Spam_score_int: -6
X-Spam_score: -0.7
X-Spam_bar: /
X-Spam_report: (-0.7 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, PDS_HP_HELO_NORDNS=0.659, RCVD_IN_DNSWL_NONE=-0.0001,
 RDNS_NONE=0.793, SPF_HELO_NONE=0.001, SPF_PASS=-0.001,
 T_SCC_BODY_TEXT_LINE=-0.01 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 21 Mar 2022 06:34:10 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--0000000000000238ee05dab37192
Content-Type: text/plain; charset="UTF-8"

Please take me off your mailing list.

On Sun, Mar 20, 2022 at 1:37 PM Jim Meyering <jim@HIDDEN> wrote:

> This is an automated email from the git hooks/post-receive script. It was
> generated because a ref change was pushed to the repository containing
> the project "grep".
>
> The branch, master has been updated
>        via  16b3c2f9f3a3e2deb70af74ba0914fd19d9c1085 (commit)
>        via  269795f3b8d5fc6ee5bc8e575aa2e96557b0b949 (commit)
>       from  9af9d51605fdedc18eaf24bcf693c812add29305 (commit)
>
> Those revisions listed above that are new to this repository have
> not appeared on any other notification email; so we list those
> revisions in full, below.
>
> - Log -----------------------------------------------------------------
>
> http://git.savannah.gnu.org/cgit/grep.git/commit/?id=16b3c2f9f3a3e2deb70af74ba0914fd19d9c1085
>
>
> commit 16b3c2f9f3a3e2deb70af74ba0914fd19d9c1085
> Author: Jim Meyering <meyering@HIDDEN>
> Date:   Sun Mar 20 13:37:44 2022 -0700
>
>     build: Re-disable -Winline
>
>     * configure.ac: Re-disable -Winline. It is still needed.
>
> diff --git a/configure.ac b/configure.ac
> index 0a97982..70cb128 100644
> --- a/configure.ac
> +++ b/configure.ac
> @@ -129,9 +129,9 @@ if test $gl_gcc_warnings != no; then
>    nw=$ew
>    # This, $nw, is the list of warnings we disable.
>    nw="$nw -Wvla"                    # suppress a warning in regexec.h
> +  nw="$nw -Winline"                 # suppress warnings from streq.h's
> streq5
>    nw="$nw -Wsystem-headers"         # Don't let system headers trigger
> warnings
>
> -
>    gl_MANYWARN_ALL_GCC([ws])
>    gl_MANYWARN_COMPLEMENT([ws], [$ws], [$nw])
>    for w in $ws; do
>
>
> http://git.savannah.gnu.org/cgit/grep.git/commit/?id=269795f3b8d5fc6ee5bc8e575aa2e96557b0b949
>
>
> commit 16b3c2f9f3a3e2deb70af74ba0914fd19d9c1085
> Author: Jim Meyering <meyering@HIDDEN>
> Date:   Sun Mar 20 13:37:44 2022 -0700
>
>     build: Re-disable -Winline
>
>     * configure.ac: Re-disable -Winline. It is still needed.
>
> diff --git a/configure.ac b/configure.ac
> index 0a97982..70cb128 100644
> --- a/configure.ac
> +++ b/configure.ac
> @@ -129,9 +129,9 @@ if test $gl_gcc_warnings != no; then
>    nw=$ew
>    # This, $nw, is the list of warnings we disable.
>    nw="$nw -Wvla"                    # suppress a warning in regexec.h
> +  nw="$nw -Winline"                 # suppress warnings from streq.h's
> streq5
>    nw="$nw -Wsystem-headers"         # Don't let system headers trigger
> warnings
>
> -
>    gl_MANYWARN_ALL_GCC([ws])
>    gl_MANYWARN_COMPLEMENT([ws], [$ws], [$nw])
>    for w in $ws; do
>
> -----------------------------------------------------------------------
>
> Summary of changes:
>  bootstrap    | 24 ++++++++++++++++++++----
>  configure.ac |  2 +-
>  gnulib       |  2 +-
>  3 files changed, 22 insertions(+), 6 deletions(-)
>
>
> hooks/post-receive
> --
> grep
>
>

-- 

*Kent M Kohlmeyer*

*panes.us <http://panes.us/>*


*lunch.picksare.us <http://lunch.picksare.us>kemiko.us <http://kemiko.us>*

*kohlmeyer.us <http://kohlmeyer.us>*
*kent.m.kohlmeyer.us <http://kent.m.kohlmeyer.us/>*
*noobboon.co <http://noobboon.com>m <http://gnubytes.com/>*
*homemenu.us <http://homemenu.us>*

--0000000000000238ee05dab37192
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Please take me off your mailing list.</div><br><div class=
=3D"gmail_quote"><div dir=3D"ltr" class=3D"gmail_attr">On Sun, Mar 20, 2022=
 at 1:37 PM Jim Meyering &lt;<a href=3D"mailto:jim@HIDDEN">jim@meyeri=
ng.net</a>&gt; wrote:<br></div><blockquote class=3D"gmail_quote" style=3D"m=
argin:0px 0px 0px 0.8ex;border-left:1px solid rgb(204,204,204);padding-left=
:1ex">This is an automated email from the git hooks/post-receive script. It=
 was<br>
generated because a ref change was pushed to the repository containing<br>
the project &quot;grep&quot;.<br>
<br>
The branch, master has been updated<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0via=C2=A0 16b3c2f9f3a3e2deb70af74ba0914fd19d9c10=
85 (commit)<br>
=C2=A0 =C2=A0 =C2=A0 =C2=A0via=C2=A0 269795f3b8d5fc6ee5bc8e575aa2e96557b0b9=
49 (commit)<br>
=C2=A0 =C2=A0 =C2=A0 from=C2=A0 9af9d51605fdedc18eaf24bcf693c812add29305 (c=
ommit)<br>
<br>
Those revisions listed above that are new to this repository have<br>
not appeared on any other notification email; so we list those<br>
revisions in full, below.<br>
<br>
- Log -----------------------------------------------------------------<br>
<a href=3D"http://git.savannah.gnu.org/cgit/grep.git/commit/?id=3D16b3c2f9f=
3a3e2deb70af74ba0914fd19d9c1085" rel=3D"noreferrer" target=3D"_blank">http:=
//git.savannah.gnu.org/cgit/grep.git/commit/?id=3D16b3c2f9f3a3e2deb70af74ba=
0914fd19d9c1085</a><br>
<br>
<br>
commit 16b3c2f9f3a3e2deb70af74ba0914fd19d9c1085<br>
Author: Jim Meyering &lt;<a href=3D"mailto:meyering@HIDDEN" target=3D"_blan=
k">meyering@HIDDEN</a>&gt;<br>
Date:=C2=A0 =C2=A0Sun Mar 20 13:37:44 2022 -0700<br>
<br>
=C2=A0 =C2=A0 build: Re-disable -Winline<br>
<br>
=C2=A0 =C2=A0 * <a href=3D"http://configure.ac" rel=3D"noreferrer" target=
=3D"_blank">configure.ac</a>: Re-disable -Winline. It is still needed.<br>
<br>
diff --git a/<a href=3D"http://configure.ac" rel=3D"noreferrer" target=3D"_=
blank">configure.ac</a> b/<a href=3D"http://configure.ac" rel=3D"noreferrer=
" target=3D"_blank">configure.ac</a><br>
index 0a97982..70cb128 100644<br>
--- a/<a href=3D"http://configure.ac" rel=3D"noreferrer" target=3D"_blank">=
configure.ac</a><br>
+++ b/<a href=3D"http://configure.ac" rel=3D"noreferrer" target=3D"_blank">=
configure.ac</a><br>
@@ -129,9 +129,9 @@ if test $gl_gcc_warnings !=3D no; then<br>
=C2=A0 =C2=A0nw=3D$ew<br>
=C2=A0 =C2=A0# This, $nw, is the list of warnings we disable.<br>
=C2=A0 =C2=A0nw=3D&quot;$nw -Wvla&quot;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 # suppress a warning in regexec.h<br>
+=C2=A0 nw=3D&quot;$nw -Winline&quot;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0# suppress warnings from streq.h&#39;s streq5<br>
=C2=A0 =C2=A0nw=3D&quot;$nw -Wsystem-headers&quot;=C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0# Don&#39;t let system headers trigger warnings<br>
<br>
-<br>
=C2=A0 =C2=A0gl_MANYWARN_ALL_GCC([ws])<br>
=C2=A0 =C2=A0gl_MANYWARN_COMPLEMENT([ws], [$ws], [$nw])<br>
=C2=A0 =C2=A0for w in $ws; do<br>
<br>
<a href=3D"http://git.savannah.gnu.org/cgit/grep.git/commit/?id=3D269795f3b=
8d5fc6ee5bc8e575aa2e96557b0b949" rel=3D"noreferrer" target=3D"_blank">http:=
//git.savannah.gnu.org/cgit/grep.git/commit/?id=3D269795f3b8d5fc6ee5bc8e575=
aa2e96557b0b949</a><br>
<br>
<br>
commit 16b3c2f9f3a3e2deb70af74ba0914fd19d9c1085<br>
Author: Jim Meyering &lt;<a href=3D"mailto:meyering@HIDDEN" target=3D"_blan=
k">meyering@HIDDEN</a>&gt;<br>
Date:=C2=A0 =C2=A0Sun Mar 20 13:37:44 2022 -0700<br>
<br>
=C2=A0 =C2=A0 build: Re-disable -Winline<br>
<br>
=C2=A0 =C2=A0 * <a href=3D"http://configure.ac" rel=3D"noreferrer" target=
=3D"_blank">configure.ac</a>: Re-disable -Winline. It is still needed.<br>
<br>
diff --git a/<a href=3D"http://configure.ac" rel=3D"noreferrer" target=3D"_=
blank">configure.ac</a> b/<a href=3D"http://configure.ac" rel=3D"noreferrer=
" target=3D"_blank">configure.ac</a><br>
index 0a97982..70cb128 100644<br>
--- a/<a href=3D"http://configure.ac" rel=3D"noreferrer" target=3D"_blank">=
configure.ac</a><br>
+++ b/<a href=3D"http://configure.ac" rel=3D"noreferrer" target=3D"_blank">=
configure.ac</a><br>
@@ -129,9 +129,9 @@ if test $gl_gcc_warnings !=3D no; then<br>
=C2=A0 =C2=A0nw=3D$ew<br>
=C2=A0 =C2=A0# This, $nw, is the list of warnings we disable.<br>
=C2=A0 =C2=A0nw=3D&quot;$nw -Wvla&quot;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =
=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 # suppress a warning in regexec.h<br>
+=C2=A0 nw=3D&quot;$nw -Winline&quot;=C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0 =C2=A0 =C2=A0# suppress warnings from streq.h&#39;s streq5<br>
=C2=A0 =C2=A0nw=3D&quot;$nw -Wsystem-headers&quot;=C2=A0 =C2=A0 =C2=A0 =C2=
=A0 =C2=A0# Don&#39;t let system headers trigger warnings<br>
<br>
-<br>
=C2=A0 =C2=A0gl_MANYWARN_ALL_GCC([ws])<br>
=C2=A0 =C2=A0gl_MANYWARN_COMPLEMENT([ws], [$ws], [$nw])<br>
=C2=A0 =C2=A0for w in $ws; do<br>
<br>
-----------------------------------------------------------------------<br>
<br>
Summary of changes:<br>
=C2=A0bootstrap=C2=A0 =C2=A0 | 24 ++++++++++++++++++++----<br>
=C2=A0<a href=3D"http://configure.ac" rel=3D"noreferrer" target=3D"_blank">=
configure.ac</a> |=C2=A0 2 +-<br>
=C2=A0gnulib=C2=A0 =C2=A0 =C2=A0 =C2=A0|=C2=A0 2 +-<br>
=C2=A03 files changed, 22 insertions(+), 6 deletions(-)<br>
<br>
<br>
hooks/post-receive<br>
-- <br>
grep<br>
<br>
</blockquote></div><br clear=3D"all"><div><br></div>-- <br><div dir=3D"ltr"=
 class=3D"gmail_signature"><div dir=3D"ltr"><div dir=3D"ltr"><div><div><b><=
font face=3D"tahoma,sans-serif">Kent M Kohlmeyer<br></font></b></div><div><=
b><font face=3D"tahoma,sans-serif"><a href=3D"http://panes.us/" target=3D"_=
blank"><font size=3D"1">panes.us</font></a><br></font></b></div><font size=
=3D"1"><i><b><font face=3D"tahoma,sans-serif"><span><b><font face=3D"tahoma=
,sans-serif"><i><a href=3D"http://lunch.picksare.us" target=3D"_blank">lunc=
h.picksare.us</a><br></i></font></b></span><a href=3D"http://kemiko.us" tar=
get=3D"_blank">kemiko.us</a><br></font></b></i></font></div><div><i><b><fon=
t face=3D"tahoma,sans-serif"><font size=3D"1"><a href=3D"http://kohlmeyer.u=
s" target=3D"_blank">kohlmeyer.us</a><br></font></font></b></i></div><div><=
i><b><font face=3D"tahoma,sans-serif"><font size=3D"1"><a href=3D"http://ke=
nt.m.kohlmeyer.us/" target=3D"_blank">kent.m.kohlmeyer.us</a></font></font>=
</b></i></div><div><i><b><font face=3D"tahoma,sans-serif"><font size=3D"1">=
<a href=3D"http://noobboon.com" target=3D"_blank">noobboon.co</a><a href=3D=
"http://gnubytes.com/" target=3D"_blank">m</a></font></font></b></i><br></d=
iv><div><i><b><font face=3D"tahoma,sans-serif"><font size=3D"1"><a href=3D"=
http://homemenu.us" target=3D"_blank">homemenu.us</a></font></font></b></i>=
<br></div></div></div></div>

--0000000000000238ee05dab37192--




Acknowledgement sent to Kent M Kohlmeyer <kemiko@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-grep@HIDDEN. Full text available.
Report forwarded to bug-grep@HIDDEN:
bug#54489; Package grep. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 20 May 2022 00:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.